package cz.moneta.test.dsl.util.data.client;

public enum AccommodationType {
    OWN("OWN", "1", "Vlastní dům / byt"),
    RENT("RENT", "2", "Pronajatý dům / byt"),
    COLLECTIVE("COLLECTIVE", "3", "Družstevní byt"),
    PARENTS("PARENTS", "4", "U rodičů"),
    OTHER("OTHER", "5", "Jiné"),
    OWN_HOUSE("OWN_HOUSE", "10002", "Vlastní dům"),
    OWN_APARTMENT("OWN_APARTMENT", "10003", "Vlastní byt"),
    RENT_HOUSE("RENT_HOUSE", "10004", "Pronajatý dům"),
    RENT_APARTMENT("RENT_APARTMENT", "10006", "Pronajatý byt");

    private final String apiValue;
    private final String hcisValue;
    private final String ufoValue;

    AccommodationType(String apiValue, String hcisValue, String ufoValue) {
        this.apiValue = apiValue;
        this.hcisValue = hcisValue;
        this.ufoValue = ufoValue;
    }

    public String getApiValue() {
        return apiValue;
    }

    public String getHCisValue() { return hcisValue;}

    public String getUfoValue() {
        return ufoValue;
    }
}
